using Cysharp.Threading.Tasks;
using System.Collections.Generic;
namespace XenseAR {

public class State : MonoSingleton<State>
{
    public int GltfLoaderAgent = 0;
    public int ImageLoaderAgent = 0;

    public string GetNavigationFromWebMessage = string.Empty;

    public bool isOpenWebview = false;
    public bool isShowInstruction = false;
    public bool bLoadGame = false;
    public string openFunction = string.Empty;
    public string stateMessage = string.Empty;
    public AnchoringTarget anchoringTarget;
    public Dictionary<string, UniTask> downloadingAnchor = new Dictionary<string, UniTask>();
    protected override void Awake()
    {
        DontDestroyOnLoad(this);
        base.Awake();
    }

    public void Reset()
    {
        GetNavigationFromWebMessage = string.Empty;
    }
}}
